Skip to main content
GET
/
historical
/
odds
Get Historical Odds
curl --request GET \
  --url https://api.odds-api.io/v3/historical/odds
{
  "away": "<string>",
  "bookmakerIds": {},
  "bookmakers": {},
  "date": "<string>",
  "home": "<string>",
  "id": 123,
  "league": {
    "name": "Premier League",
    "slug": "premier-league"
  },
  "scores": {
    "away": 123,
    "home": 123,
    "periods": {}
  },
  "sport": {
    "name": "Football",
    "slug": "football"
  },
  "status": "<string>",
  "urls": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.odds-api.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

apiKey
string
required

API key for authentication

eventId
string
required

Event ID from /historical/events

bookmakers
string
required

Comma-separated list of bookmaker names (max 30)

Response

OK

away
string
bookmakerIds
object
bookmakers
object
date
string
home
string
id
integer
league
object
scores
object
sport
object
status
string
urls
object